Module tdlight.api
Package it.tdlight.jni

# Class TdApi.SearchChatsNearby

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.ChatsNearby>
it.tdlight.jni.TdApi.SearchChatsNearby

Enclosing class:
  TdApi

public static final class TdApi.SearchChatsNearby extends TdApi.Function<TdApi.ChatsNearby>
Returns a list of users and location-based supergroups nearby. The list of users nearby will be updated for 60 seconds after the request by the updates updateUsersNearby. The request must be sent again every 25 seconds with adjusted location to not miss new chats.

Returns `ChatsNearby`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`TdApi.Location`
`location`
Current user location.

## Constructor Summary

Constructors
Constructor
Description
`SearchChatsNearby()`
Returns a list of users and location-based supergroups nearby.
`SearchChatsNearby(TdApi.Location location)`
Returns a list of users and location-based supergroups nearby.
`SearchChatsNearby(DataInput input)`
Returns a list of users and location-based supergroups nearby.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### location

public TdApi.Location location
Current user location.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### SearchChatsNearby

public SearchChatsNearby()
Returns a list of users and location-based supergroups nearby. The list of users nearby will be updated for 60 seconds after the request by the updates updateUsersNearby. The request must be sent again every 25 seconds with adjusted location to not miss new chats.

Returns `ChatsNearby`

### SearchChatsNearby

public SearchChatsNearby(TdApi.Location location)
Returns a list of users and location-based supergroups nearby. The list of users nearby will be updated for 60 seconds after the request by the updates updateUsersNearby. The request must be sent again every 25 seconds with adjusted location to not miss new chats.

Returns `ChatsNearby`

Parameters:
  `location` - Location Current user location.

### SearchChatsNearby

public SearchChatsNearby(DataInput input) throws IOException
Returns a list of users and location-based supergroups nearby. The list of users nearby will be updated for 60 seconds after the request by the updates updateUsersNearby. The request must be sent again every 25 seconds with adjusted location to not miss new chats.

Returns `ChatsNearby`

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`